> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Disbursement

> You can use this endpoint to perform bulk bank account transfer to multiple bank accounts.



## OpenAPI

````yaml openapi.json POST /transfers/bulk
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/bulk:
    post:
      description: >-
        You can use this endpoint to perform bulk bank account transfer to
        multiple bank accounts.
      operationId: CreateBulkTransfer
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: CSV file containing bulk transfer data. Must be a .csv file.
                category:
                  type: string
                  description: >-
                    Specify a unique category of your choice for your company to
                    track a transaction for later reconciliation.
                currency:
                  type: string
                  description: >-
                    Select the currency for the transfer. This is in our
                    supported currency which is currently only NGN and GHS.
                  enum:
                    - NGN
                    - GHS
                narration:
                  type: string
                  description: >-
                    This is optional information for you to give details about
                    the reason for the transfer
              required:
                - file
                - category
                - currency
                - narration
            encoding:
              file:
                contentType: text/csv
      responses:
        '201':
          description: Bulk transfer created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferDetailsResponse'
        '400':
          description: Bad Request - Invalid CSV or missing fields.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    TransferDetailsResponse:
      type: object
      properties:
        reference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        spotflowreference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        amount:
          type: number
          format: int32
          example: 0
        currency:
          type: string
          example: NGN
        transferMode:
          type: string
          example: '7706438396'
        destination:
          type: object
          properties:
            accountNumber:
              type: string
              example: '7706438396'
            accountName:
              type: string
              example: Quantum Technologies
            bankCode:
              type: string
              example: NGN100
            branchCode:
              type: string
              example: NGN100
            bankName:
              type: string
              example: Testbank MFB
        narrations:
          type: string
          example: string
        status:
          type: string
          example: string
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````